﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Net;
using System.Web.Script.Serialization;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebClient n = new WebClient();
        ServicePointManager.Expect100Continue = true;
        ServicePointManager.SecurityProtocol = (SecurityProtocolType)3072;
        var json = n.DownloadString("https://power.larc.nasa.gov/cgi-bin/v1/DataAccess.py?&request=execute&identifier=SinglePoint&parameters=PRECTOT&startDate=1981&endDate=2019&userCommunity=SSE&tempAverage=INTERANNUAL&outputList=JSON,CSV&lat=15.3173&lon=75.7139");
        var serializers = new JavaScriptSerializer();
        Temperature temperature = serializers.Deserialize<Temperature>(json);
    }

    public partial class Temperature
    {
        public Feature[] features { get; set; }
        public Header header { get; set; }
        public string[] messages { get; set; }
        public Outputs outputs { get; set; }
        public ParameterInformation parameterInformation { get; set; }
        public object[][] time { get; set; }
        public string type { get; set; }
    }

    public partial class Feature
    {
        public Geometry geometry { get; set; }
        public Properties properties { get; set; }
        public string type { get; set; }
    }

    public partial class Geometry
    {
        public double[] coordinates { get; set; }
        public string type { get; set; }
    }

    public partial class Properties
    {
        public Parameter parameter { get; set; }
    }

    public partial class Parameter
    {
        public Dictionary<string, double> PRECTOT { get; set; }
    }

    public partial class Header
    {
        public string api_version { get; set; }
        public long endDate { get; set; }
        public long fillValue { get; set; }
        public long startDate { get; set; }
        public string title { get; set; }
    }

    public partial class Outputs
    {
        public string csv { get; set; }
        public string json { get; set; }
    }

    public partial class ParameterInformation
    {
        public Prectot PRECTOT { get; set; }
    }

    public partial class Prectot
    {
        public string longname { get; set; }
        public string units { get; set; }
    }
}