﻿Imports System.Net
Imports System.Web.Script.Serialization

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        Dim n As WebClient = New WebClient()
        ServicePointManager.Expect100Continue = True
        ServicePointManager.SecurityProtocol = CType(3072, SecurityProtocolType)
        Dim json = n.DownloadString("https://power.larc.nasa.gov/cgi-bin/v1/DataAccess.py?&request=execute&identifier=SinglePoint&parameters=PRECTOT&startDate=1981&endDate=2019&userCommunity=SSE&tempAverage=INTERANNUAL&outputList=JSON,CSV&lat=15.3173&lon=75.7139")
        Dim serializers = New JavaScriptSerializer()
        Dim temperature As Temperature = serializers.Deserialize(Of Temperature)(json)
    End Sub

    Partial Public Class Temperature
        Public Property features As Feature()
        Public Property header As Header
        Public Property messages As String()
        Public Property outputs As Outputs
        Public Property parameterInformation As ParameterInformation
        Public Property time As Object()()
        Public Property type As String
    End Class

    Partial Public Class Feature
        Public Property geometry As Geometry
        Public Property properties As Properties
        Public Property type As String
    End Class

    Partial Public Class Geometry
        Public Property coordinates As Double()
        Public Property type As String
    End Class

    Partial Public Class Properties
        Public Property parameter As Parameter
    End Class

    Partial Public Class Parameter
        Public Property PRECTOT As Dictionary(Of String, Double)
    End Class

    Partial Public Class Header
        Public Property api_version As String
        Public Property endDate As Long
        Public Property fillValue As Long
        Public Property startDate As Long
        Public Property title As String
    End Class

    Partial Public Class Outputs
        Public Property csv As String
        Public Property json As String
    End Class

    Partial Public Class ParameterInformation
        Public Property PRECTOT As Prectot
    End Class

    Partial Public Class Prectot
        Public Property longname As String
        Public Property units As String
    End Class
End Class
